## EogDialog EogDialog |

## Synopsis

    struct              EogDialog;
    void                eog_dialog_construct                (EogDialog *dialog,
                                                             const gchar *ui_file,
                                                             const gchar *dlg_node);
    void                eog_dialog_show                     (EogDialog *dialog);
    void                eog_dialog_hide                     (EogDialog *dialog);
    void                eog_dialog_get_controls             (EogDialog *dialog,
                                                             const gchar *property_id,
                                                             ...);

## Object Hierarchy

      GObject
       +----EogDialog
             +----EogPreferencesDialog
             +----EogPropertiesDialog

## Properties

      "parent-window"            GtkWindow*            : Read / Write / Construct Only

## Description

## Details

### struct EogDialog

    struct EogDialog;

### eog_dialog_construct ()

    void                eog_dialog_construct                (EogDialog *dialog,
                                                             const gchar *ui_file,
                                                             const gchar *dlg_node);

### eog_dialog_show ()

    void                eog_dialog_show                     (EogDialog *dialog);

### eog_dialog_hide ()

    void                eog_dialog_hide                     (EogDialog *dialog);

### eog_dialog_get_controls ()

    void                eog_dialog_get_controls             (EogDialog *dialog,
                                                             const gchar *property_id,
                                                             ...);

## Property Details

### The `"parent-window"` property

      "parent-window"            GtkWindow*            : Read / Write / Construct Only

Parent window.